using System;
using System.Collections.Generic;
using System.Text;

namespace ChuPiao.Common.Communication.GtdJson.Packs
{
    public class A10005UploadMachineSale : PackBase
    {
        public override string Action
        {
            get { return "uploadReport"; }
        }

        public override void PackBody(Newtonsoft.Json.JsonWriter jsonWriter)
        {
            jsonWriter.WritePropertyName("salemoney");
            jsonWriter.WriteValue(SaleMoney);
            jsonWriter.WritePropertyName("encashmoney");
            jsonWriter.WriteValue(EncashMoney);
            jsonWriter.WritePropertyName("returnmoney");
            jsonWriter.WriteValue(ReturnMoney);
            jsonWriter.WritePropertyName("querytime");
            jsonWriter.WriteValue(QueryTime);
            jsonWriter.WritePropertyName("type");
            jsonWriter.WriteValue(Type);
            jsonWriter.WritePropertyName("typename");
            jsonWriter.WriteValue(TypeName);
            jsonWriter.WritePropertyName("from");
            jsonWriter.WriteValue(From);
            jsonWriter.WritePropertyName("to");
            jsonWriter.WriteValue(To);
            jsonWriter.WritePropertyName("prntext");
            jsonWriter.WriteValue(Prntext);
        }

        private decimal _salemoney;
        /// <summary>
        /// 销售
        /// </summary>
        public decimal SaleMoney
        {
            get { return _salemoney; }
            set { _salemoney = value; }
        }

        private decimal _encashmoney;
        /// <summary>
        /// 兑奖
        /// </summary>
        public decimal EncashMoney
        {
            get { return _encashmoney; }
            set { _encashmoney = value; }
        }

        private decimal _returnmoney;
        /// <summary>
        /// 退票金额，竞彩由于场次取消而产生的单关票，会在兑奖时按退票处理，不计算佣金
        /// </summary>
        public decimal ReturnMoney
        {
            get { return _returnmoney; }
            set { _returnmoney = value; }
        }

        private string _querytime;
        /// <summary>
        /// 20190924115533
        /// </summary>
        public string QueryTime
        {
            get { return _querytime; }
            set { _querytime = value; }

        }

        private int _type;
        /// <summary>
        /// 时间（日-1 周-2 月-3）
        /// </summary>
        public int Type
        {
            get { return _type; }
            set { _type = value; }

        }

        private string _typename;
        /// <summary>
        /// 时间（日-20130101 周-201301-1 月201301）
        /// </summary>
        public string TypeName
        {
            get { return _typename; }
            set { _typename = value; }

        }

        private string _from;
        public string From
        {
            get { return _from; }
            set { _from = value; }
            
        }

        private string _to;
        public string To
        {
            get { return _to; }
            set { _to = value; }

        }

        private string _prntext;
        public string Prntext
        {
            get { return _prntext; }
            set { _prntext = value; }

        }
    }
}
